net.corda.node.services.transactions

## Class BFTSmartServer<K,V>

- net.corda.node.services.transactions.BFTSmartServer<K,V>

-     public class BFTSmartServer<K,V>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BFTSmartServer(int id, org.jetbrains.exposed.sql.Database db, java.lang.String tableName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `appExecuteBatch(byte[] command, bftsmart.tom.MessageContext[] mcs)`
    `byte[]` | `appExecuteUnordered(byte[] command, bftsmart.tom.MessageContext msgCtx)`
    `org.jetbrains.exposed.sql.Database` | `getDb()`
    `int` | `getId()`
    `bftsmart.tom.ServiceReplica` | `getReplica()`
    `byte[]` | `getSnapshot()`
    `JDBCHashMap<K,V>` | `getTable()`
    `void` | `installSnapshot(byte[] bytes)`

- - ### Constructor Detail

    - #### BFTSmartServer

          public BFTSmartServer(int id,
                                org.jetbrains.exposed.sql.Database db,
                                java.lang.String tableName)

  - ### Method Detail

    - #### getTable

          public JDBCHashMap<K,V> getTable()

    - #### getReplica

          public bftsmart.tom.ServiceReplica getReplica()

    - #### appExecuteUnordered

          public byte[] appExecuteUnordered(byte[] command,
                                            bftsmart.tom.MessageContext msgCtx)

    - #### appExecuteBatch

          public byte[] appExecuteBatch(byte[] command,
                                        bftsmart.tom.MessageContext[] mcs)

    - #### getSnapshot

          public byte[] getSnapshot()

    - #### installSnapshot

          public void installSnapshot(byte[] bytes)

    - #### getId

          public int getId()

    - #### getDb

          public org.jetbrains.exposed.sql.Database getDb()